curl --request PUT \
--url https://api.partoo.co/v2/reviews/{review_id} \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '{}'import requests
url = "https://api.partoo.co/v2/reviews/{review_id}"
payload = {}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.partoo.co/v2/reviews/{review_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"org_id": 42,
"id": 34,
"business_id": "5409c35a97bbc544d8e26737",
"partner": "google_my_business",
"partner_id": "accounts/114063712393225091258/locations/74805271119400652054",
"author_name": "Castorche",
"date": "2017-07-01T16:10:23.156000+02:00",
"update_date": "2017-08-01T19:15:54.256000+02:00",
"delete_date": "<string>",
"rating": 3,
"recommended": true,
"title": "<string>",
"content": "Magasin un peu vieillot , mais personnel très sympathique, nombreuses références en rayons , un très bon choix côté vin...",
"state": "treated",
"link": "<string>",
"comments": [
{
"id": 82938,
"partner_id": "accounts/114063712393225091258/locations/74805271119400652054",
"created": "2019-08-01T19:15:54.256000+02:00",
"author_name": "Castorche",
"content": "Merci ❤️",
"date": "2017-08-01T19:15:54.256000+02:00",
"update_date": "2017-08-01T19:15:54.256000+02:00",
"can_edit": true,
"review_id": 34,
"parent_id": 123,
"user_id": "123456789abcdef2f60c42ff",
"is_reply_suggestion": true,
"replies": "<array>"
}
],
"tags": [
{
"id": 25,
"label": "food",
"color": "#808080"
}
],
"media_links": [
"https://lh3.googleusercontent.com/gpms...",
"https://lh3.googleusercontent.com/gpms-cs-s/AB8u6HYwO..."
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Update a review
Update the state of a review to treated/not_treated
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Review id
34
Body
Request body to post a reply
Reply state
treated, not_treated Response
OK
Business Review on partner
Unique identifier of an organization in Partoo.
42
Review id
34
Business id
"5409c35a97bbc544d8e26737"
Publisher label
google_my_business, facebook, tripadvisor Review id on publisher
"accounts/114063712393225091258/locations/74805271119400652054"
The author name of the review.
Note: Replies don't have an author.
"Castorche"
Review creation date
"2017-07-01T16:10:23.156000+02:00"
Review update date
"2017-08-01T19:15:54.256000+02:00"
Review deletion date (only specified if the review has been deleted)
Review rating (can be null)
0 <= x <= 53
Review recommended (can be null)
Review title
Review body content
"Magasin un peu vieillot , mais personnel très sympathique, nombreuses références en rayons , un très bon choix côté vin..."
Reply state
treated, not_treated, deleted "treated"
Link to review on publisher platform
Replies to the review
Show child attributes
Show child attributes
Tags associated to the review
Show child attributes
Show child attributes
Array of Google photo URLs associated with the review.
Populated when with_media_links=true query parameter is used.
Empty array if no associated media found or if with_media_links=false.
[
"https://lh3.googleusercontent.com/gpms...",
"https://lh3.googleusercontent.com/gpms-cs-s/AB8u6HYwO..."
]
Was this page helpful?